<?php
/**
 * Project Section
 *
 * @package Tamal_Portfolio
 */

$default_args = array(
    'panel'    => 'tamal_portfolio_front_page_options',
    'title'    => esc_html__( 'Project Section', 'tamal-portfolio' ),
    'priority' => priority_section('tamal_portfolio_project_section'),
);

$themes = json_decode(get_option('crt_manage_license'));
if($themes) {
    if(in_array(get_option( 'template' ), $themes)) {
        $wp_customize->add_section(
            'tamal_portfolio_project_section',
            $default_args
        );
    }
} else {
    $wp_customize->add_section(
        new Tamal_Portfolio_Custom_Section(
            $wp_customize,
            'tamal_portfolio_project_section',
            array_merge(
                $default_args,
                array(
                    'button_text'      => __( 'Buy Pre', 'tamal-portfolio' ),
                    'url'              => TAMAL_PORTFOLIO_URL_DEMO,
                )
            )
        )
    );
}




// Project Section - Enable Section.
$wp_customize->add_setting(
	'tamal_portfolio_enable_project_section',
	array(
		'default'           => false,
		'sanitize_callback' => 'tamal_portfolio_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Tamal_Portfolio_Toggle_Switch_Custom_Control(
		$wp_customize,
		'tamal_portfolio_enable_project_section',
		array(
			'label'    => esc_html__( 'Enable Project Section', 'tamal-portfolio' ),
			'section'  => 'tamal_portfolio_project_section',
			'settings' => 'tamal_portfolio_enable_project_section',
		)
	)
);

if ( isset( $wp_customize->selective_refresh ) ) {
	$wp_customize->selective_refresh->add_partial(
		'tamal_portfolio_enable_project_section',
		array(
			'selector' => '#my-project .section-link',
			'settings' => 'tamal_portfolio_enable_project_section',
		)
	);
}

// Background grey
$wp_customize->add_setting(
    'tamal_portfolio_project_section_background_grey',
    array(
        'default'           => false,
        'sanitize_callback' => 'tamal_portfolio_sanitize_switch',
    )
);
$wp_customize->add_control(
    new Tamal_Portfolio_Toggle_Switch_Custom_Control(
        $wp_customize,
        'tamal_portfolio_project_section_background_grey',
        array(
            'label'    => esc_html__( 'Background Grey', 'tamal-portfolio' ),
            'section'  => 'tamal_portfolio_project_section',
            'settings' => 'tamal_portfolio_project_section_background_grey',
            'active_callback' => 'tamal_portfolio_is_project_section_enabled',
        )
    )
);

// Headline
$wp_customize->add_setting(
    'tamal_portfolio_project_section_headline',
    array(
        'default'           => __( 'My Project', 'tamal-portfolio' ),
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'tamal_portfolio_project_section_headline',
    array(
        'label'           => esc_html__( 'Headline', 'tamal-portfolio' ),
        'section'         => 'tamal_portfolio_project_section',
        'settings'        => 'tamal_portfolio_project_section_headline',
        'type'            => 'text',
        'active_callback' => 'tamal_portfolio_is_project_section_enabled',
    )
);

$wp_customize->add_setting(
    'tamal_portfolio_project_section_headline_sub',
    array(
        'default'           => __( 'Projects that I have done', 'tamal-portfolio' ),
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'tamal_portfolio_project_section_headline_sub',
    array(
        'label'           => esc_html__( 'Headline sub', 'tamal-portfolio' ),
        'section'         => 'tamal_portfolio_project_section',
        'settings'        => 'tamal_portfolio_project_section_headline_sub',
        'type'            => 'text',
        'active_callback' => 'tamal_portfolio_is_project_section_enabled',
    )
);


$wp_customize->add_setting(
    'tamal_portfolio_show_hide_all',
    array(
        'default'           => false,
        'sanitize_callback' => 'tamal_portfolio_sanitize_switch',
    )
);
$wp_customize->add_control(
    new Tamal_Portfolio_Toggle_Switch_Custom_Control(
        $wp_customize,
        'tamal_portfolio_show_hide_all',
        array(
            'label'    => esc_html__( 'Hide Button All', 'tamal-portfolio' ),
            'section'  => 'tamal_portfolio_project_section',
            'settings' => 'tamal_portfolio_show_hide_all',
        )
    )
);


// List Project
$wp_customize->add_setting(
    'tamal_portfolio_resume_section_project_list',
    array(
        'default'           => '',
        'sanitize_callback' => 'customizer_repeater_sanitize',
    )
);
$wp_customize->add_control(
    new Tamal_Portfolio_Customize_Field_Repeater(
        $wp_customize,
        'tamal_portfolio_resume_section_project_list',
        array(
            'label'   => esc_html__('Project','tamal-portfolio'),
            'label_item'   => esc_html__('Project Item','tamal-portfolio'),
            'section' => 'tamal_portfolio_project_section',
            'custom_repeater_title_control' => true,
            'custom_repeater_repeater_fields' => array(
                'label' => array('List','Add Row','Delete Row'),
                'key' => 'custom_repeater_repeater_fields',
                'fields' => array(
                    'project_name' => array('class' => 'trigger_field', 'type' => 'text', 'label' => 'Name Project'),
                    'project_category' => array('class' => 'trigger_field', 'type' => 'text', 'label' => 'Category'),
                    'project_image' => array('class' => 'trigger_field', 'type' => 'image', 'label' => 'Image'),
                    'project_url' => array('class' => 'trigger_field', 'type' => 'text','label' => 'URL', 'placeholder' => '#'),
                )
            ),
            'active_callback' => 'tamal_portfolio_is_project_section_enabled',
        )
    )
);
